//
//  ViewController.m
//  FontTestProject
//
//  Created by Namit Nayak on 1/23/14.
//  Copyright (c) 2014 Namit Nayak. All rights reserved.
//
#import "UIFont+UIFont_TestProjects.h"
#import "ViewController.h"

@interface ViewController ()
-(IBAction)changeTextBtnTapped:(id)sender;
@property (nonatomic,strong) IBOutlet UITextField *textFiled;
@property (nonatomic,strong) IBOutlet UITextField *textFontFiled;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    
    
    [self.boldLabel setFont:[UIFont futraFontSTDWithBoldSize:18]];
    [self.mediumLabel setFont:[UIFont futraFontSTDWithMediumSize:18]];
    [self.lightLabel setFont:[UIFont futraFontSTDWithLightSize:18]];
}
-(IBAction)changeTextBtnTapped:(id)sender{
    [self.boldLabel setText:self.textFiled.text];
    [self.mediumLabel setText:self.textFiled.text];
    [self.lightLabel setText:self.textFiled.text];
    if (![[self.textFontFiled.text stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceAndNewlineCharacterSet]] isEqualToString:@""]) {
        [self.boldLabel setFont:[UIFont futraFontSTDWithBoldSize:[self.textFontFiled.text doubleValue]]];
        [self.mediumLabel setFont:[UIFont futraFontSTDWithMediumSize:[self.textFontFiled.text doubleValue]]];
        [self.lightLabel setFont:[UIFont futraFontSTDWithLightSize:[self.textFontFiled.text doubleValue]]];
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
